Package org.eclipse.rdf4j.sail.shacl.ast.targets

## Class TargetChainRetriever

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.targets.TargetChainRetriever

- All Implemented Interfaces:
    `PlanNode`

      public class TargetChainRetriever
      extends Object
      implements PlanNode

  Used to run the query that represents the target and sets the bindings based on values that match the statement patterns from the added/removed sail connection

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetChainRetriever​(ConnectionsGroup connectionsGroup, Resource[] dataGraph, List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> statementMatchers, List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> removedStatementMatchers, String query, List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable> vars, ConstraintComponent.Scope scope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `depth()` |
    `boolean` | `equals​(Object o)` |
    `String` | `getId()` |
    `void` | `getPlanAsGraphvizDot​(StringBuilder stringBuilder)` |
    `int` | `hashCode()` |
    `CloseableIteration<? extends ValidationTuple,​SailException>` | `iterator()` |
    `boolean` | `producesSorted()` |
    `void` | `receiveLogger​(ValidationExecutionLogger validationExecutionLogger)` |
    `boolean` | `requiresSorted()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetChainRetriever

          public TargetChainRetriever​(ConnectionsGroup connectionsGroup,
                                      Resource[] dataGraph,
                                      List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> statementMatchers,
                                      List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> removedStatementMatchers,
                                      String query,
                                      List<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable> vars,
                                      ConstraintComponent.Scope scope)

  - ### Method Detail

    - #### iterator

          public CloseableIteration<? extends ValidationTuple,​SailException> iterator()

      Specified by:
        `iterator` in interface `PlanNode`

    - #### depth

          public int depth()

      Specified by:
        `depth` in interface `PlanNode`

    - #### getPlanAsGraphvizDot

          public void getPlanAsGraphvizDot​(StringBuilder stringBuilder)

      Specified by:
        `getPlanAsGraphvizDot` in interface `PlanNode`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PlanNode`

    - #### receiveLogger

          public void receiveLogger​(ValidationExecutionLogger validationExecutionLogger)

      Specified by:
        `receiveLogger` in interface `PlanNode`

    - #### producesSorted

          public boolean producesSorted()

      Specified by:
        `producesSorted` in interface `PlanNode`

    - #### requiresSorted

          public boolean requiresSorted()

      Specified by:
        `requiresSorted` in interface `PlanNode`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`